stages:
  - build
  - test
  - coverage

variables:
  CTEST_OUTPUT_ON_FAILURE: 1

include:
  - local: '/.gitlab-ci/clang10-mpi-debug.yml'
  - local: '/.gitlab-ci/clang10-mpi-release.yml'
  - local: '/.gitlab-ci/gcc10-mpi-debug.yml'
  - local: '/.gitlab-ci/gcc10-mpi-coverage.yml'
  - local: '/.gitlab-ci/gcc10-mpi-release.yml'
  - local: '/.gitlab-ci/gcc10-seq-coverage.yml'
  - local: '/.gitlab-ci/gcc10-seq-release.yml'
